package com.logicbig.example;


import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam; 
 
@Path("orders")
public class OrderService { 

    @GET 
    @Path("{orderId:\\d+}/items/{itemId:[a-z]\\d{2,3}}")
    public String getOrderItemByItemId(@PathParam("orderId") String orderId, 
                                       @PathParam("itemId") String itemId) { 
        return "order id: " + orderId +
                " and item id: " + itemId; 
    }

    @GET
    @Path("{orderId}/items/{itemId}")
    public String getInvalidOrderItemByItemId(@PathParam("orderId") String orderId,
                                       @PathParam("itemId") String itemId) {
        return "The requested order id or item id are not valid. order id: " + orderId +
                " and item id: " + itemId;
    }
}