package com.logicbig.example; 
 

import org.glassfish.jersey.server.ResourceConfig; 
import org.glassfish.jersey.test.JerseyTest; 
import org.junit.Assert; 
import org.junit.Test; 
 
import javax.ws.rs.core.Application;  
  
public class OrderServiceTest extends JerseyTest {  
  
    @Override  
    protected Application configure() {  
        return new ResourceConfig(OrderService.class);  
    }  
  
    @Test  
    public void ordersPathParamTest() {  
        String response = target("orders/4534/items/e34").request().get(String.class);
        Assert.assertTrue("order id: 4534 and item id: e34".equals(response));

        response = target("orders/4534567/items/u343").request().get(String.class);
        Assert.assertTrue("order id: 4534567 and item id: u343".equals(response));

        response = target("orders/tt343/items/554").request().get(String.class);
        Assert.assertTrue("The requested order id or item id are not valid. order id: tt343 and item id: 554".
                equals(response));
    }
}